%define _enable_debug_packages %{nil}
%define debug_package          %{nil}
%define enable_testsuite 1
%define enable_pyaccords 1
%define enable_paprocci 1
%define distname accords

%define major 0
%define libname lib%{name}-accords%{major}
%define libnamedev lib%{name}-accords-devel

%define pythondev python-devel

%define group System/Daemons
%define pythongroup Libraries/Python
%define libgroup System/Libraries
%define libdevgroup Development/Libraries
%define nagioscfg %{_sysconfdir}/nagios/nagios.cfg
%define nagioslibexec %{_libexecdir}/nagios

%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1
%define libname %mklibname %{name}-accords %major
%define libnamedev %mklibname %{name}-accords %major -d
%define python python

%if %{enable_testsuite}
%define testsuite_enabled "--enable-testsuite=yes"
%endif

%if %{enable_pyaccords}
%define pyaccords_enabled "--enable-pyaccords=yes"
%endif

%if %{enable_paprocci}
%define paprocci_enabled "--enable-paprocci=%java_home"
%endif

Summary:	CompatibleOne cloud brokering platform
Name:		compatibleone
Version:	2.0
Release:	%mkrel 6
License:	ASL 2.0
Group:		System/Servers
URL:		http://www.compatibleone.org
#(nl) from http://gitorious.ow2.org/~alissy/ow2-compatibleone/alissys-accords-platform
# sh autogen.sh && ./configure && make dist-srpm
Source0:	%{distname}-%{version}.tar.gz
Patch0:		accords-2.0-linkage.patch
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
%if %{enable_pyaccords}
BuildRequires:  python
BuildRequires:  python-devel
%endif
%if %{enable_paprocci}
BuildRequires:  java-devel >= 0:1.6.0, java-rpmbuild
BuildRequires:  ant
BuildRequires:	compatibleone-paprocci-java
%endif
Requires:       lsb

%description
CompatibleOne Accords platform base files

#-------------------------------------------

%package -n %{libname}
Group:      %{libgroup}
Summary:    CompatibleOne Accords Platform Base Libraries and Files
Requires:   %{name}

%description -n %{libname}
CompatibleOne Accords platform base dynamic libraries and Files

#-------------------------------------------

%package -n %{libnamedev}
Group:      Development/C
Summary:    CompatibleOne Accords development files
Requires:   %{libname} = %version-%release

%description -n %{libnamedev}
CompatibleOne Accords development files; For developers only.

#-------------------------------------------

%package devel
Group:      Development/C
Summary:    CompatibleOne Accords Platform - All packages (development)
Requires:   %{libnamedev}
Requires:   libuuid-devel
Requires:   openssl-devel
Requires:   %{name}-accords
Requires:   python-%{name}-accords
Requires:   %{name}-testsuite
Requires:   %{name}-paprocci
Requires:   %{name}-nagios

%description devel
CompatibleOne is an open source project which provides a model, CORDS
(CompatibleOne Resource Description Schema), and a platform,
ACCORDS (Advanced Capabilities for CompatibleOne Resource Distribution Services),
for the description and federation of different clouds comprising resources provisioned

#-------------------------------------------

%if %{enable_pyaccords}
%package -n python-%{name}-accords
Group:      Development/Python
Summary:    CompatibleOne Accords Platform Python bindings
Requires:   %{name}
Requires:   python-boto

%description -n python-%{name}-accords
CompatibleOne Accords platform Python bindings and interfaces
%endif

#-------------------------------------------
%package azprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Azur Procci subsystem

%description azprocci
CompatibleOne Accords Platform - Azur Procci subsystem

#-------------------------------------------

%package broker
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Broker subsystem

%description broker
Broker subsystem of the CompatibleOne Accords Platform

#-------------------------------------------

%package coees
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COEES subsystem

%description coees
The CompatibleOne Energy Efficiency Service component is a standalone OCCI REST
server executable program and must have been started before any provisioning
plan energy efficiency processing may be performed for the provisioning of
resources.

#-------------------------------------------

%package cops
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COPS subsystem

%description cops
The CompatibleOne Placement Services module is a standalone OCCI REST server
executable program and must have been started before any provisioning plan
smart placement processing may be performed for the provisioning of resources.
This component is of particular importance as a target or consumer of
monitoring information in the form of provisioning alerts which will be used in
the elaboration of the scoring information that will be used to influence the
selection of particular provider platforms during subsequent placement
operations.

#-------------------------------------------

%package coips
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COIPS subsystem

%description coips
COIPS subsystem of the CompatibleOne Accords Platform The CompatibleOne Image
Production Services module is a standalone OCCI REST server executable program
and must have been started before any manifest parser image production
processing may be performed for the provisioning of application images for
computational resources.

#-------------------------------------------

%package comons
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COMONS subsystem

%description comons
The CompatibleOne Monitoring Services component is a standalone OCCI REST
server executable program and must have been started after the security
services and before all other components of the platform.

#-------------------------------------------

%package conets
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - CONETS subsystem

%description conets
The CompatibleOne Network Services component is a standalone OCCI REST server
executable program and must have been started before any provisioning of
application images may be performed through the broker.

#-------------------------------------------

%package nagios
Group: System/Servers
Requires: %{name}
Requires: nagios
Requires: nagios-check_http
Summary: CompatibleOne Accords Platform - CONAGIOS subsystem

%description nagios
The CompatibleOne Nagios Description Management Service Component.

#-------------------------------------------

%package coobas
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COOBAS subsystem

%description coobas
The CompatibleOne Ordering, Billing and Accountancy Services component is a
standalone OCCI REST server executable program and must have been started after
the monitoring services and before all other components of the platform.  This
component is responsible for the management of the platform price list
comprising the prices of the different categories and provisioning operations.
This information is intended to be configured using external user interfaced
tools provided by third party software vendors but can also be configured by
hand by editing the corresponding category configuration file,
“cords_price.xml”,  prior to launching the COOBAS module.

#-------------------------------------------

%package cool
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COOL subsystem

%description cool
The CompatibleOne Elasticity Manager subsystem is a standalone OCCI REST server
executable program and must have been started before any provisioning of
application images may be performed through the broker.

#-------------------------------------------

%package cosacs
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COSACS subsystem

%description cosacs
The CompatibleOne Software Appliance Configuration Services module is a
standalone OCCI REST server executable program that will have been embedded in
the application image produced by the preceding Application Image Production
tool. The component will be used through the provisioning procci components for
the personalization of the application image during resource deployment
startup.  The module also provides the monitoring control channels for the
activation of monitoring agents and their data collection probes.

#-------------------------------------------

%package cosched
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COSCHED subsystem

%description cosched
Scheduling subsystem for the CompatibleOne Accords Platform

#-------------------------------------------

%package coss
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - COSS subsystem

%description coss
The CompatibleOne Security Services component is a standalone OCCI REST server
executable program and must have been started after the publisher and before
all other components of the platform.  The principles, on which the security of
the platform depends, require the use of Transport Layer Security (TLS 1.0) to
be announced and accepted by all server and client endpoints. The exchange of
Certificates between communicating endpoints is strongly encouraged.
Authentication of processes and users must be performed through an identity
management system and will result in authorization being accorded for access to
the platform and its components.

#-------------------------------------------

%package dcprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Delta Cloud Procci subsystem

%description dcprocci
CompatibleOne Accords Platform - Delta Cloud Procci subsystem

#-------------------------------------------

%package paasprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - PaaS Procci subsystem

%description paasprocci
CompatibleOne Accords Platform - PaaS Procci subsystem

#-------------------------------------------

%package copaas
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - PaaS Services subsystem

%description copaas
CompatibleOne Accords Platform - PaaS Services subsystem

#-------------------------------------------

%package ezvm
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - EZVM subsystem

%description ezvm
This standalone OCCI REST server executable program enables the instantiations
of VM on various cloud service providers while providing a complete abstraction
of the portability problems for the consumer. It also enables to move from one
cloud to another by running VM images on various providers. EZVM must have been
started before any manifest parser image production processing may be performed
for the provisioning of application images for computational resources.

#-------------------------------------------

##%package example
##Group: System/Servers
##Requires: %{name}
##Summary: CompatibleOne Accords Platform - Example OCCI subsystem
##
##%description example
##CompatibleOne Accords Platform - Example OCCI subsystem

#-------------------------------------------

%package fileserver
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Fileserver subsystem

%description fileserver
CompatibleOne Accords Platform - Fileserver subsystem

#-------------------------------------------

%package onprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Open Nebula Procci subsystem

%description onprocci
CompatibleOne Accords Platform - Open Nebula Procci subsystem

#-------------------------------------------

%package osocciprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Open Stack OCCI Procci subsystem

%description osocciprocci
CompatibleOne Accords Platform - Open Stack OCCI Procci subsystem

#-------------------------------------------

%package osprocci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Open Stack Procci subsystem

%description osprocci
CompatibleOne Accords Platform - Open Stack Procci subsystem

#-------------------------------------------

%if %{enable_paprocci}
%package paprocci
Group: System/Servers
Requires: %{name}
Requires: java >= 1.6.0
Summary: CompatibleOne Accords Platform - ProActive Procci subsystem

%description paprocci
CompatibleOne Accords Platform - ProActive Procci subsystem
%endif

#-------------------------------------------

%package procci
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Procci

%description procci
This component of the ACCORDS platform is responsible for the management of
generic provisioning contracts as requested by the service broker during the
creation of the service instance control graph.  Provider specific contracts
will be negotiated here using the provider specific procci components as
required by the description of the node to be provisioned. This standalone OCCI
REST server executable program and must have been started before any
provisioning plan processing may be performed for the provisioning of
resources.

#-------------------------------------------

%package publisher
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - Publisher

%description publisher
The publisher is responsible for the management of service publications
performed by the components comprising the platform. Each of the different
service provider components comprising the platform will publish its collection
of categories for use by other components. The publisher is provided as a
standalone OCCI REST server executable program and must have been started
before any of the other components may be used.

#-------------------------------------------

%package slam
Group: System/Servers
Requires: %{name}
Summary: CompatibleOne Accords Platform - SLA Manager

%description slam
Service Level Agreement for the CompatibleOne Accords Platform

#-------------------------------------------

##%package testosocci
##Group: System/Servers
##Requires: %{name}
##Summary: CompatibleOne Accords Platform - Open Stack inspection tool
##
##%description testosocci
##This command line tool allows inspection of the Open Stack platform resources
##that are available or have been provisioned using the following command line
##syntax

#-------------------------------------------

%package accords
Group: System/Servers
BuildArch: noarch
Requires: %{name}
Requires: %{name}-azprocci
Requires: %{name}-broker
Requires: %{name}-coees
Requires: %{name}-cops
Requires: %{name}-coips
Requires: %{name}-comons
Requires: %{name}-conets
Requires: %{name}-nagios
Requires: %{name}-coobas
Requires: %{name}-cool
Requires: %{name}-copaas
Requires: %{name}-cosacs
Requires: %{name}-cosched
Requires: %{name}-coss
Requires: %{name}-dcprocci
Requires: %{name}-ezvm
Requires: %{name}-fileserver
Requires: %{name}-onprocci
Requires: %{name}-osocciprocci
Requires: %{name}-osprocci
Requires: %{name}-procci
Requires: %{name}-publisher
Requires: %{name}-slam
#Requires: %{name}-testosocci
Requires: %{name}-paasprocci
Requires: %{name}-accords-doc
Conflicts: accords
Obsoletes: accords
Summary: CompatibleOne Accords Platform - All packages

%description accords
CompatibleOne is an open source project which provides a model, CORDS
(CompatibleOne Resource Description Schema), and a platform, ACCORDS (Advanced
Capabilities for CompatibleOne Resource Distribution Services), for the
description and federation of different clouds comprising resources provisioned
by heterogeneous cloud service providers. CompatibleOne's flexible service
architecture makes it independent from any Cloud Service Provider (from
OpenStack to OpenNebula, from Azure to Vcloud) and can address all types of
cloud services (IaaS, PaaS, SaaS, XaaS, BpaaS, …) and any type of cloud service
deployment (public, private, community and hybrid).  The goals of CompatibleOne
are to:
- Provide entrepreneurs and organisations unimpeded access to cloud
  technologies
- Provide innovative platform of services, that go beyond the standard services
  provided by existing cloud providers
- Remove the constraints of vendor lock-in
- Provide a platform that the community can evolve rapidly and adapt according
  to their needs

#-------------------------------------------

%package accords-doc
BuildArch: noarch
Summary: Documentation for CompatibleOne Accord's platform

%description accords-doc
CompatibleOne is an open source project which provides a model and a platform
for the description and federation of different clouds comprising resources by
heterogeneous cloud service providers.

#-------------------------------------------

%if %{enable_testsuite}
%package testsuite
BuildArch: noarch
Summary: A test suite for CompatibleOne
Requires: %{name}-accords
Requires: python
Requires: python-psutil
Requires: python-unittest2

%description testsuite
This package will run a set of tests to ensure that a minimal level of working
parts is meet. It is useful during development to ensure that there is no
regression.
%endif

#-------------------------------------------

%prep
%setup -q -n %{distname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x %{testsuite_enabled} %{pyaccords_enabled} %{paprocci_enabled}
make

%install
%makeinstall_std

# create some directories
for dir in %{_sysconfdir}/defaults %{_sysconfdir}/accords %{_datadir}/accords %{_docdir}/accords %{_localstatedir}/lib/accords %{_localstatedir}/log/accords/rest %{_localstatedir}/log/accords/service; do
	mkdir -p %{buildroot}$dir
done;

# install some extra files
cp *.xsd %{buildroot}%{_docdir}/accords
cp manifests/openssl.cnf %{buildroot}%{_sysconfdir}/accords/
cp manifests/os_config.xml %{buildroot}%{_sysconfdir}/accords/
cp accounts.xml %{buildroot}%{_sysconfdir}/accords/
cp Certificates.crt %{buildroot}%{_sysconfdir}/accords/
cp coips.xml %{buildroot}%{_sysconfdir}/accords/
ln -s %{_sysconfdir}/accords/openssl.cnf %{buildroot}%{_localstatedir}/lib/accords/openssl.cnf
ln -s %{_sysconfdir}/accords/Certificates.crt %{buildroot}%{_localstatedir}/lib/accords/Certificates.crt
ln -s %{_sysconfdir}/accords/coips.xml %{buildroot}%{_localstatedir}/lib/accords/coips.xml
ln -s %{_sysconfdir}/accords/cords_user.xml %{buildroot}%{_localstatedir}/lib/accords/cords_user.xml
ln -s %{_sysconfdir}/accords/accounts.xml %{buildroot}%{_localstatedir}/lib/accords/accounts.xml
ln -s %{_localstatedir}/log/accords/rest %{buildroot}%{_localstatedir}/lib/accords/rest
ln -s %{_localstatedir}/log/accords/service %{buildroot}%{_localstatedir}/lib/accords/service

# add a fake file to produce a useless package
cat <<EOF >%{buildroot}%{_datadir}/accords/README
This package contains nothing, and only exists to pull dependencies.
EOF

cat <<EOF >%{buildroot}%{_datadir}/accords/README.devel
This package contains nothing, and only exists to pull dependencies.
EOF

#TODO: remove this line once paprocci is packaged again
#rm %{buildroot}%{_bindir}/run-paprocci

rm %{buildroot}%{_bindir}/example
rm %{buildroot}%{_bindir}/testosocci

# Correct the nagios path
sed -ri \
	-e 's@/usr/local/nagios/etc/nagios.cfg@%{nagioscfg}@g' \
	-e 's@/usr/local/nagios/libexec@%{nagioslibexec}@g' \
	%{buildroot}%{_bindir}/accords

%post

if [ -e %{_localstatedir}/lib/accords/accords.xml ] ; then
	exit 0
fi

cd %{_localstatedir}/lib/accords/ && accords-config
# %{_sysconfdir}/init.d/compatibleone start

%files
%attr(0755,root,root) %{_sysconfdir}/init.d/compatibleone
%dir %{_sysconfdir}/accords
%config %{_sysconfdir}/accords/accords.ini
%attr(0600,root,root) %config %{_sysconfdir}/accords/cords_user.xml
%attr(0600,root,root) %config %{_sysconfdir}/accords/openssl.cnf
%attr(0600,root,root) %config %{_sysconfdir}/accords/coips.xml
%attr(0600,root,root) %config %{_sysconfdir}/accords/Certificates.crt
%config %{_sysconfdir}/accords/accounts.xml
%attr(0600,root,root) %config %{_sysconfdir}/accords/os_config.xml
%config %{_sysconfdir}/default/accords
%attr(0755,root,root) %{_bindir}/accords
%{_bindir}/co-*
%{_bindir}/accords-config
%attr(0755,root,root) %{_bindir}/test??
%attr(0755,root,root) %{_bindir}/testresolver
%attr(0755,root,root) %{_bindir}/command
%attr(0755,root,root) %{_bindir}/parser
%{_bindir}/run-parser
%doc %{_mandir}/man7/*
%doc %{_mandir}/man1/accords.1*
%doc %{_mandir}/man1/co-*.1*
%doc %{_mandir}/man1/accords-config.1*
%doc %{_mandir}/man1/test??.1*
%doc %{_mandir}/man1/testresolver.1*
#doc %{_mandir}/man1/command.1*
%doc %{_mandir}/man1/parser.1*
%doc %{_mandir}/man1/run-parser.*
%dir %{_localstatedir}/lib/accords
%{_localstatedir}/lib/accords/openssl.cnf
%{_localstatedir}/lib/accords/coips.xml
%{_localstatedir}/lib/accords/cords_user.xml
%{_localstatedir}/lib/accords/Certificates.crt
%{_localstatedir}/lib/accords/accounts.xml
%{_localstatedir}/lib/accords/rest
%{_localstatedir}/lib/accords/service
%dir %{_localstatedir}/log/accords
%dir %{_localstatedir}/log/accords/rest
%dir %{_localstatedir}/log/accords/service

#--------------------------------------------

%if %{enable_pyaccords}
%files -n python-%{name}-accords
%{python_sitelib}/pypacksrc*
%{python_sitearch}/pycompdev*
%{python_sitearch}/pycompmanager*
%endif

#--------------------------------------------

%files azprocci
%attr(0755,root,root) %{_bindir}/azprocci
%attr(0755,root,root) %{_bindir}/run-azprocci
%attr(0644,root,root) %doc %{_mandir}/man1/azprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-azprocci.1*

%files broker
%attr(0755,root,root) %{_bindir}/broker
%attr(0755,root,root) %{_bindir}/run-broker
%attr(0644,root,root) %doc %{_mandir}/man1/broker.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-broker.1*

%files coees
%attr(0755,root,root) %{_bindir}/coees
%attr(0755,root,root) %{_bindir}/run-coees
%attr(0644,root,root) %doc %{_mandir}/man1/coees.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-coees.1*

%files cops
%attr(0755,root,root) %{_bindir}/cops
%attr(0755,root,root) %{_bindir}/run-cops
%attr(0644,root,root) %doc %{_mandir}/man1/cops.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-cops.1*

%files coips
%attr(0755,root,root) %{_bindir}/coips
%attr(0755,root,root) %{_bindir}/run-coips
%attr(0644,root,root) %doc %{_mandir}/man1/coips.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-coips.1*

%files comons
%attr(0755,root,root) %{_bindir}/comons
%attr(0755,root,root) %{_bindir}/run-comons
%attr(0644,root,root) %doc %{_mandir}/man1/comons.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-comons.1*

%files conets
%attr(0755,root,root) %{_bindir}/conets
%attr(0755,root,root) %{_bindir}/run-conets
%attr(0644,root,root) %doc %{_mandir}/man1/conets.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-conets.1*

%files nagios
%attr(0755,root,root) %{_bindir}/conagios
%attr(0755,root,root) %{_bindir}/run-conagios
%attr(0644,root,root) %doc %{_mandir}/man1/conagios.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-conagios.1*

%files coobas
%attr(0755,root,root) %{_bindir}/coobas
%attr(0755,root,root) %{_bindir}/run-coobas
%attr(0644,root,root) %doc %{_mandir}/man1/coobas.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-coobas.1*

%files cool
%attr(0755,root,root) %{_bindir}/cool
%attr(0755,root,root) %{_bindir}/run-cool
%attr(0644,root,root) %doc %{_mandir}/man1/cool.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-cool.1*

%files cosacs
%attr(0755,root,root) %{_bindir}/cosacs
%attr(0755,root,root) %{_bindir}/run-cosacs
%attr(0644,root,root) %doc %{_mandir}/man1/cosacs.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-cosacs.1*

%files cosched
%attr(0755,root,root) %{_bindir}/cosched
%attr(0755,root,root) %{_bindir}/run-cosched
%attr(0644,root,root) %doc %{_mandir}/man1/cosched.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-cosched.1*

%files coss
%attr(0755,root,root) %{_bindir}/coss
%attr(0755,root,root) %{_bindir}/run-coss
%attr(0644,root,root) %doc %{_mandir}/man1/coss.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-coss.1*

%files dcprocci
%attr(0755,root,root) %{_bindir}/dcprocci
%attr(0755,root,root) %{_bindir}/run-dcprocci
%attr(0644,root,root) %doc %{_mandir}/man1/dcprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-dcprocci.1*

%files paasprocci
%attr(0755,root,root) %{_bindir}/paasprocci
%attr(0755,root,root) %{_bindir}/run-paasprocci
%attr(0644,root,root) %doc %{_mandir}/man1/paasprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-paasprocci.1*

%files copaas
%attr(0755,root,root) %{_bindir}/copaas
%attr(0755,root,root) %{_bindir}/run-copaas
%attr(0644,root,root) %doc %{_mandir}/man1/copaas.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-copaas.1*

%files ezvm
%attr(0755,root,root) %{_bindir}/ezvm
%attr(0755,root,root) %{_bindir}/run-ezvm
%attr(0644,root,root) %doc %{_mandir}/man1/ezvm.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-ezvm.1*

##%files example
##%attr(0755,root,root) %{_bindir}/example
##%attr(0755,root,root) %{_bindir}/run-example
##%attr(0644,root,root) %doc %{_mandir}/man1/example.1*
##%attr(0644,root,root) %doc %{_mandir}/man1/run-example.1*

%files fileserver
%attr(0755,root,root) %{_bindir}/fileserver
%attr(0755,root,root) %{_bindir}/run-fileserver
%attr(0644,root,root) %doc %{_mandir}/man1/fileserver.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-fileserver.1*

%files onprocci
%attr(0755,root,root) %{_bindir}/onprocci
%attr(0755,root,root) %{_bindir}/run-onprocci
%attr(0644,root,root) %doc %{_mandir}/man1/onprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-onprocci.1*

%files osocciprocci
%attr(0755,root,root) %{_bindir}/osocciprocci
%attr(0755,root,root) %{_bindir}/run-osocciprocci
%attr(0644,root,root) %doc %{_mandir}/man1/osocciprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-osocciprocci.1*

%files osprocci
%attr(0755,root,root) %{_bindir}/osprocci
%attr(0755,root,root) %{_bindir}/run-osprocci
%attr(0644,root,root) %doc %{_mandir}/man1/osprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-osprocci.1*

%if %{enable_paprocci}
%files paprocci
%attr(0755,root,root) %{_bindir}/paprocci
%attr(0755,root,root) %{_bindir}/run-paprocci
%attr(0644,root,root) %doc %{_mandir}/man1/paprocci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-paprocci.1*
%dir %{_datadir}/java/accords
%attr(0644,root,root) %{_datadir}/java/accords/*.jar
%endif

%files procci
%attr(0755,root,root) %{_bindir}/procci
%attr(0755,root,root) %{_bindir}/run-procci
%attr(0644,root,root) %doc %{_mandir}/man1/procci.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-procci.1*

%files publisher
%attr(0755,root,root) %{_bindir}/publisher
%attr(0755,root,root) %{_bindir}/run-publisher
%attr(0644,root,root) %doc %{_mandir}/man1/publisher.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-publisher.1*

%files slam
%attr(0755,root,root) %{_bindir}/slam
%attr(0755,root,root) %{_bindir}/run-slam
%attr(0644,root,root) %doc %{_mandir}/man1/slam.1*
%attr(0644,root,root) %doc %{_mandir}/man1/run-slam.1*

##%files testosocci
##%attr(0755,root,root) %{_bindir}/testosocci
##%attr(0755,root,root) %{_bindir}/run-testosocci
##%attr(0644,root,root) %doc %{_mandir}/man1/testosocci.1*
##%attr(0644,root,root) %doc %{_mandir}/man1/run-testosocci.1*

%files -n %{libname}
%{_libdir}/lib*.so.0
%{_libdir}/lib*.so.0.0.0

%files -n %{libnamedev}
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%files accords-doc
%dir %{_docdir}/accords
%attr(0644,root,root) %{_docdir}/accords/*.xsd

%files accords
%dir %{_datadir}/accords
%attr(0644,root,root) %{_datadir}/accords/README

%files devel
%dir %{_datadir}/accords
%attr(0644,root,root) %{_datadir}/accords/README.devel

%if %{enable_testsuite}
%files testsuite
%dir %{_libexecdir}/compatibleone/
%dir %{_libexecdir}/compatibleone/testsuite/
%attr(0644,root,root) %{_libexecdir}/compatibleone/testsuite/*.py*
%dir %{_libexecdir}/compatibleone/testsuite/basic/
%attr(0644,root,root) %{_libexecdir}/compatibleone/testsuite/basic/*.py*
%dir %{_libexecdir}/compatibleone/testsuite/platform/
%attr(0644,root,root) %{_libexecdir}/compatibleone/testsuite/platform/*.py*
%endif



%changelog
* Sun Nov 03 2013 fwang <fwang> 2.0-6.mga4
+ Revision: 549247
- there are too many cross references in this packages
- try fix linkage
- bump rel
- cleanup spec

* Tue Oct 22 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 545835
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2.0-4.mga4
+ Revision: 501888
- attr and dir macros cannot be used on symlinks in rpm 4.11.1
- call autoreconf

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

  + fwang <fwang>
    - revert to previous release

* Thu Mar 28 2013 neoclust <neoclust> 2.0-2.mga3
+ Revision: 406036
- Fix Requires
- Fix requires

* Fri Feb 01 2013 neoclust <neoclust> 2.0-1.mga3
+ Revision: 393894
- imported package compatibleone

